# Class NoopResolveMethod<Value>

#### Type Parameters

- Value

#### Implements

- Method<ControlOption, { value: Value }>

- Defined in packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:101

#####
Index

### Constructors

constructor

### Methods

call

##
Constructors

### constructor

- new NoopResolveMethod<Value>(): NoopResolveMethod<Value>

  #### Type Parameters

  - Value

  #### Returns NoopResolveMethod<Value>

##
Methods

### call

- call(__namedParameters: { value: Value }): Promise<ControlOption<any, string>>

  #### Parameters

  - __namedParameters: { value: Value }

  #### Returns Promise<ControlOption<any, string>>

  Implementation of Method.call

  - Defined in packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:103